jin-4-1

*FIX: Minor fixes and improvements

jin-4-0

DELAVO 3.0

*FEATURE: Complete revamping of the layout
*FEATURE: Mobile responsive pages
*FEATURE: Zapier integration
*FEATURE: Paypal REST integration
*FEATURE: Paypal Invoicing

jin-3-88

FIX: Minor fixes

jin-3-87

FEATURE: Adding the option to apply Terms on order page 1 for GDPR compliance.

jin-3-86

FEATURE: Stripe payments: Strong Customer Authentication (SCA) compliance https://stripe.com/gb/guides/strong-customer-authentication
FIX: Minor fixes

jin-3-85

FEATURE: External Integrations/ Aweber
FEATURE: External Integrations/ GSuite
MODULE: New set of Package templates, Mobile friendly & responsive
MODULE: One-step order form first introduced.
FEATURE: Advanced options have been added in the customization of the Squeeze page in the Package’s record.
FEATURE: Option to add an external URL for the Thank you page of a Package.
FIX: altauth functionality in DELmem plugin
FIX: Minor fixes

jin-3-84

FEATURE: Ability to create and deliver access to External memberships that correspond to membership levels created by Paid Memberships Pro(tm) inside a WordPress blog.

jin-3-83

FEATURE: Integration with Keap.com (InfusionSoft)

jin-3-82

FEATURE: Offline payment can be used in Funnels.

jin-3-81

Added: Option to export orders' records in CSV.

jin-3-80

Added: Title field in Content Series to be used when displaying records in Archive.

jin-3-79

* FIX: Minor fixes.

jin-3-78

* FIX: Changes in the code necessary to comply with PHP changes.

* FEATURE:  Labels

	(1) Improvement of the labeling system so that a user can have multiple labels.
	(2) A new section in the  Product’s record so admin can add labels to customers according to the product they bought.
	(3) An additional filter in the Mass Email interface so admin can select users depending on their labels, and thus target email promotions better

* MODULE: SMTP

	(1) Making SMTP option compatible to the TLS changes in SendGrid
	(2) Making SMTP compatible with Amazon Simple Email Service
	(3) Making SMPT compatible to Mailgun service

* MODULE: Upgrade of DELmem plugin

* FIX: DELAVO Relievo plugin so to pass variables of DELAVO to WP members

* FIX: Stripe payment integration to comply with their new API

* FIX: iDEAL payment integration   to comply with Stripe's new API

* MODULE: iDEAL subscriptions made possible.

	DELAVO becomes the only software up to date that supports iDEAL for customers from The Netherlands.

* FIX: Issue with JVZoo that did not allow the display of DELAVO's thank you page URL in the JVZoo delivery page. The bug has been fixed with the co-operation of JVZoo chief programmer.

* MODULE:  Paddle payment integration

* MODULE:  BitCoin payment integration

* MODULE:  BillPlz  payment integration

* MODULE: Bank of Maldives payment integration (testing pending)

* MODULE: A Mobile-friendly set of templates (order pages)

jin-3-77

* FIX: Minor fixes.

jin-3-76

* FIX: Fixed issue with blank generated password field

jin-3-75

* FEATURE: Addition of support beacon (beta)
* FIX: Minor fixes

jin-3-74

* FEATURE: Added BillPlz payments

jin-3-73

* FEATURE: Added TLS support for SMTP servers.
* FEATURE: Added users labeling.
* FIX: Changed condition for showing Forum & Helpdesk sections in Help menu.
* FIX: Minor changes in Help menu.
* FIX: Affiliate ID changed for affiliate URL.

jin-3-72

* FEATURE: Added user access control by dates, DEMO privileges profile.

jin-3-71

* FEATURE: Added new logic for suspending/terminating hosting accounts using CPanel/WHM plugin.

jin-3-70

* FEATURE: Delavo admin can upload and install theme bundle via web interface.

jin-3-69

* FEATURE: Paypal security upgrade - https://www.paypal-knowledge.com/infocenter/index?page=content&id=FAQ1913

jin-3-68

* FEATURE: JVZoo cancellation IPN support

jin-3-67

* MODULE: SMTP Servers Configuration

	<b>Sponsored by <a target="_blank" style="font-weight:bold" href="http://xosmo.com">XOSMO - eXclusive Online Shopping for Members Only</a></b>

jin-3-66

* Added UTF-8 support (MySQL DB should be converted separately)

jin-3-65

* MODULE: Stripe payment option

	<b>The Stripe integration was sponsored by Simpleology: <a target="_blank" style="font-weight:bold" href="http://www.Simpleology.com">Simplifying Your Complicated Life</a></b>

jin-3-64

* FIX: Changed JVZoo amounts format

jin-3-63

* FIX: fixed merging tags in the 3rd party script URL

* FIX: customization of Checkout page is removed from 1 click order pages

jin-3-62

* Shipping Groups

jin-3-61

* FIX: Ban functionality fixed

jin-3-60

FIX: Paypal: added additional fraud protection for the "web_accept" method

jin-3-59

* FIX: fixed issue in the Subscription Scheduler caused by invalid installment number initialization in case of a coupon applied

jin-3-58

* FIX: Export Pieces: added XML declaration to prevent encoding conflict

* CHANGE: Export Pieces: option "export templates" is removed

jin-3-57

* FEATURE: JVZoo IPN mode integration now can process Refund notifications

* FIX: fixed error in the Paypal IPN processing module made in v2.56

jin-3-56

* FEATURE: added search by IP in "Customers / Sales"

* FEATURE: Paypal Website Payments: validation mechanism is now compliant with the changes by Paypal to be rolled out on 1st Feb 2013

jin-3-55

* FEATURE: added search by IP address in "Users"

* FIX: fixed Shopping Cart error with products that has a colon in their titles

jin-3-54

* FEATURE: 1 tier commissions for sales made through Clickbank are now marked as paid automatically, if affiliate has defined Clickbank Affiliate ID. Such commissions are processed by Clickbank Affiliate Program

* FIX: bug fixes

jin-3-53

* FIX: Shipping: Basic Shipping method now send a "Your order is shipped" notification to the customer when shipping is "Fulfilled"

* FIX: fixed error when saving an existing Remote Membership record

* FIX: fixed HTML emails formatting

jin-3-52

* FEATURE: added "non-taxable" tag to the Product (works for Paypal Website Payments only, for Paypal-managed taxes)

jin-3-51

* FEATURE: Paypal Adaptive Payments module now supports subscriptions

* FEATURE: Delavo now creates directories for the Remote Memberships by itself

* FEATURE: Delavo Simple: Cron command is added to the "Settings" menu

* FEATURE: JVZoo integration using JVZoo API (beta). Integration setup is in Profile / Merchant Settings / Integration settings

* CHANGE: Delavo Simple: added "Abandoned orders handling" feature from Delavo Full version

* FIX: fixed Promo Generator error appearing when saving generated materials to a Package

jin-3-50

* SYSTEM: Delavo Simple

* FEATURE: Payment plans: savable and reusable subscription settings for products

* FEATURE: Now subscription description is displayed in the admin's products list and on the 1st order page instead of flat price for subscription products

* FEATURE: Package Homepage is now developed to Squeeze page: added sign-up form, aweber and other autoresponders integration, ability to import a Squeeze page from HTML file

* FEATURE: 1st order page is now meant to be Sales page. Customers can skip entering their email on the Sales page if it was entered before on the Squeeze page. Also, Products list can be hidden too if there is only one product in the Package.

* FEATURE: Sales page and Checkout page buttons can be customized in more way, including image buttons. Feature works on per-template level

* FEATURE: Consolidated "Thank you" page

* FEATURE: One Time Offers: blocking OTOs

* FEATURE: One Time Offers: support for image buttons

* FEATURE: One Time Offers: Delavo Product integration

* FEATURE: Invitations can now be used by existing users as a way to grant them Privilege Packages or Affiliate Programs. Also, admin can define an HTML instructions for users who accepted Invitation

* FEATURE: New duplicate IPN protection

* FEATURE: Smart subscriptions: now Delavo determines itself whether to create external or internal subscription depending on the payment option

* FEATURE: Paypal Adaptive with Instant Commissions support (access to Instant Commissions managed through Affiliate Programs)

* CHANGE: Paypal WPP DP / Payflow payment option now work with "Reference transactions" subscriptions only

* CHANGE: Authorize.net, eWay, Linkpoint, USAePay payment option now create internal subscriptions

* CHANGE: Payment options: Alertpay / Payza: integration module is updated

* CHANGE: Delavo now processes correctly subscriptions marked as paid manually by admin

* CHANGE: Better default tables styling in the default and Delavo order pages themes (themes refreshment needed)

* CHANGE: Member's settings are now separated into Affiliate's Settings and Customer's Settings

jin-3-40

* FEATURE: Themes (Global Templates) editor

* FEATURE: Package Templates editor: added possibility to copy template from a global Theme

* FEATURE: Global Search revised and adjusted for new privilege scheme

* FEATURE: added #{User.RegUnixTimestamp} tag

* FEATURE: Sales Totals and System Alerts are now displayed to the Delavo administrator only

* FEATURE: XHTML headers are added to all templates

* FEATURE: configuration of the coupons availability to customers is simplified

* FEATURE: "100% commissions" feature now uses admin's payment settings if affiliate's settings are incorrect or missing

* FEATURE: admin can select an option which Delavo screen to show to newly registered members when they log in for the first time

* FEATURE: server load monitor script

* FEATURE: Added CPanel/WHM 3rd party script integration module [Gold level]

* CHANGE: 2Checkout module now uses 2CO Single Page Payment Routine

* CHANGE: 2Checkout INS module now handles 2CO fraud check correctly

* CHANGE: built-in "No More Green Screens" script is updated

* CHANGE: "Refund selected" feature in the Sales list now handles correctly reverse refund in Paypal

* FIX: fixed issue with incomplete global themes not handled correctly in Packages

* FIX: fixed Mass Mail criteria collision when memberships and insignia are both selected

* FIX: fixed issue with saving user selection in Mass Mail

* FIX: fixed vulnerability in user photo upload

* FIX: fixed log in error in Clouds

jin-3-38

* MODULE: Themes / Templates system revised

	Templates module is completely rewritten to improve system performance and to enable some
	features coming in the future releases. Theme selection interface is now simple and more
	user-friendly. There is no need to refresh templates anymore

* CHANGE: Taxes now can have up to two decimal points

jin-3-37

* FEATURE: Delavo API 2.0

	Delavo API is completely revised. New interface for API Connectors is available at
	"Profile / Delavo API Center". New API documentation is also available in Delavo API Center.
	Please note that old API function "Userdata" is no longer supported. API function "Get User"
	should be used instead.

* FEATURE: Remote User Groups

	Now Delavo admin can use Special User Groups from other Delavo system in his Delavo. This creates
	possibility for partnership between Delavo owners without sharing user databases. As an example,
	a Delavo owner A may have a partner B with another Delavo system and he there is a joint venture
	in which the partner B sells specific product Y only to the people who have bought A's product X.
	This can be done through Remote Users Groups

* FEATURE: API function "Is User in the List"

	This new Delavo API function accepts a user email and checks if it's present in the defined User Group.
	It works similar to the "Authorize" function but does not need user's password

* FEATURE: JVZoo integration

	Added a possibility to integrate Delavo with JVZoo in a way similar to how WSO Pro integration works

* FEATURE: Force HTTPS

	Added possibility to force Delavo to work in HTTPS mode even if user typed "http" by mistake.
	The option is available in "Profile / Merchant settings"

* FEATURE: Support tickets: protection of a category using Special User Groups

* FIX: fixed issue with special Coupons for subscriptions that apply to the 1st installment or to recurring installments only

* FIX: fixed issue with Shopping cart templates not refreshed after Delavo upgrade

jin-3-36

* MODULE: Revised Helpdesk plugin

	Set up of the Helpdesk system is now more convenient and flexible. Helpdesk Categories,
	Staff members and e-mail pipes can now be configured in one place. A support category can now
	be taken care of by more than one Staff member, collaboration features are enabled.
	Staff access control system is implemented enabling distribution of authority for different
	areas of expertise (like Billing and Technical issues). Added membership protection for
	Categories which allows for providing support services based on a membership or a subscription.
	Completely revised ticket conversation interface and tickets lists. Added status "Answered" and
	property "Last activity", tickets in the list are automatically sorted by status and time
	so most actual issues ad issues that need attention are on top of the list. New ticket identifiers
	are now used instead of plain sequencial numbers. Added more notifications such as notification
	to Staff when ticket category is reassigned, notifications about erroneous requests etc.

* FEATURE: Cancel coupon

	Coupons with usage limit can now be withdrawn from a Sale by customer, if s/he wants to use
	the coupon for another purchase

* FEATURE: Mass User Operation: "copy records" feature

	This feature allows to "clone" objects (like membership) keeping their association with specific
	Sales.

* FEATURE: WSO / IPN forwarder integration: Refunds handling

* FEATURE: WSO / IPN forwarder integration: Package association

	Delavo can now assign existing Packages to external Sales hence enabling customization of the
	Thank You page for such sales

* FIX: fixed broken Funnels menu links when adding a new Funnel

jin-3-35

* MODULE: MailChimp subscription integration module

	With this feature admin can silently subscribe a customer to a MailChimp.com maillist.
	The feature is implemented as a Delavo Autoresponder and is available anywhere in the system
	where autoresponders are used

* MODULE: Upgrade Satellite Installations

	If you have more than one Delavo installations (on the same domain or on different domains), then
	this feature is for you. Now at the "Help / Check version" page admin can add login data for any
	number of other Delavo installations and upgrade them all with just one click

* MODULE: WSO Pro (and any other Paypal IPN forwarder software) integration

	With this new powerful feature Delavo can receive Paypal IPN forwarded from any other software
	(like WSO Pro) and create sales / orders / users based on the received IPN data. Flat payments and
	subscriptions are supported. The feature is available in "Profile / Payment options", under
	"Paypal Website Payments" type of payment option. Future upgrades of this module will include
	affiliate program and automated refunds support.

* FEATURE: Coupons for subscriptions

	Earlier if customer used a coupon for a subscription product, the discount applied to all
	recurring sales. With this new feature admin can select whether a coupon will be applied to
	the initial sale only, to the recurring installments only or to all installments (default
	option).

* CHANGE: changed support link for Delavo owners

* FIX: fixed bug with "Merge users" feature causing some deliverables not being converted

* FIX: fixed bug with coupon incorrectly entered by customer messing up payment options on the 2nd order page

* FIX: fixed bug with incorrect figures in the "Customers / Subscriptions / Summary Report" when "Label / Tag" option is selected

jin-3-34

* FEATURE: 2Checkout payment module: new 2CO parameter set is supported

	Added support the new 2Checkout "3rd party cart" integration method that allows to create
	2Checkout subscriptions from Delavo

* FEATURE: Questionnaires: user input editor

	User input data can again be viewed/edited in Delavo. This time the data is presented
	not as a text area with techy low-level encoded data, but as a set of editable fields
	so admin can easily modify user input

* FEATURE: Multiple product orders

	Earlier it was only possible to order one copy of each product through Packages. Now admin
	can optionally enable some of the product to be ordered multiply

* FEATURE: Discount plans

	Now admin can set up a certain discount if customer orders more than a certain number
	of a product in one order. This feature is available for ordinary Packages and Shopping Carts.
	Discount can be a flat amount or a percent. In the first case it's applied to the whole order,
	in the second case - to the discounted product only

* CHANGE: Delavo Free licenses are not provided any more

	Starting from this version Delavo Gold are not downgraded to Free Basic version when a
	subscription is cancelled, but instead get suspended. Existing Free Basic licenses remain
	operational.

* FIX: Commissions calculations fix

jin-3-33

* FEATURE: Instant Cycled Commissions

	This feature allows to divide payments between the seller and the affiliate according to a certain
	ratio. For example, with 40% percentage, every 2 sales of 5 will be paid directly to the affiliate,
	the other 3 will be paid to the seller. The payments are not split, they go as a whole either to
	the seller or to the affiliate. The feature can be activated in Store / Products, under "JV &
	Affiliate Information" section of a product record

* FIX: Paypal Website Payments: duplicate IPN prevention mechanism

jin-3-32

* MODULE: Imnica Mail subscription integration module

	With this feature admin can silently subscribe a customer to an Imnica list. The feature is implemented
	as a Delavo Autoresponder and is available anywhere in the system where autoresponders are used

* FIX: fixed columns sorting issue

jin-3-31

* FEATURE: Blog Publisher: integration module for WordPress is updated

	Blog Publisher integration module for WordPress was completely rewritten to use WordPress
	XMLRPC API. Now Blog Publisher supports WordPress version 3.1 or higher

* FEATURE: Blog Publisher: categories and tags

	Now Blog Publisher fetches categories and tags from all WordPress blogs configured in it
	and allows admin to select from those categories and tags when sending a post. Also, admin
	can add a new category or tag in a WordPress blog

* FEATURE: Sorting columns

	Delavo tables now support sortable columns. Currently sorting is enabled in Customers / Sales

* FEATURE: Shipping / Kunaki update

	Shipping mechanism is updated so now it supports delayed fulfillment. When a shipment order
	is sent to Kunaki, it gets a "pending" status and Delavo will be querying Kunaki daily to check
	on the status of pending shippments. When a delivery is shipped, Delavo will mark it as
	fulfilled automatically and send an email to the customer letting him/her know that the
	delivery has been shipped

* FEATURE: Follow-up Manager: Attachments

	Follow-up Manager now allows to attach up to 5 files in each message in the series

* FEATURE: added date filters in Sales reports for Funnels and Funnel Steps

* CHANGE: Paypal payment module: handle "modified" subscriptions

* FIX: 2Checkout module now handles INS for recurring payments correctly

* FIX: Issue with Aweber integration

	URL of Aweber is changed from http://clients.aweber.com to http://aweber.com. This change
	takes effect for newly created Packages after the update. If Aweber integration is not working
	for any of existing Pakcages, this URL needs to be changed for that Package through changing
	Aweber Integration settings in "Store / Packages"

* FIX: fixed issue with "Auto-cancellation period" error message for Basic Delavo version

* FIX: fixed issue with affiliates being able to see unpaid sales in "Promote / Sales"

jin-3-30

* MODULE: ProxyPay payment module

* FIX: fixed paypal managed subscription disintegrity when the initial IPN did not come through and the initial sale was marked as paid manually by the admin

* FIX: fixed issue with commissions "paid" date not set in some cases

* FIX: fixed issue with affiliate not detected for sale in the "current affiliate prevailing" mode when current affiliate is not defined and initial affiliate is defined

jin-3-29

* FEATURE: Credit card data update for subscriptions

	A new interface is added in Member's area, available at "Account / My credit cards".
	This interface lists all credit cards associated with customer's account, for which there are
	subscriptions. Current status of the subscription is displayed, if subscription payment failed,
	the failure reason is displayed also. Customer can choose to replace any credit card with new
	credit card information. This feature is currently supported for Delavo-managed subscription
	based on Paypal WPP DP "Reference transactions"

* FEATURE: Reference transactions control center

	New section is added to "Profile / Merchant settings" where admin can configure the following
	automatic notifications:

	(1) Customer's reminder to update their credit card data that is to expire next month.
	The reminder is sent on the 1st of each month.

	(2) Customer's reminder to update their credit card that was declined. Repeated reminders
	can be set up.

	(3) A report can be enabled which sends information about subscriptions that are to be
	automatically cancelled in 7 days unless credit card data is updated. The report can be
	sent to selected admin users.

	Also, it is now possible to specify the period for Delavo to retry declined subscription
	installments. Earlier Delavo tried for 7 days, now admin can specify any number of days,
	the default is 30 days. During this period customer will still have access to the Product,
	and Delavo will retry the payment every day.

* FEATURE: Subscriptions: titles and cancellation reasons

	Subscription now have titles that are displayed in admin interface; also cancellation reason
	is set for each subscription tha is cancelled. if it was cancelled automatically due to
	repeatedly declined payments, the exact error message received from the payment processor
	(Paypal) is displayed as well

* FEATURE: Surveys: password protection

* FEATURE: Surveys: added introductory HTML messages preceding each page of a Survey

* CHANGE: Changed credit card secure storage operating model; enabled credit cards storage for Package Sales and "API Process Sale"

* FIX: Custom tags: affiliate branding is now based on the affiliate's access to the Packages for promotion

* FIX: Surveys: now required fields are checked when the Survey is filled by user; the check is disabled in admin mode

jin-3-28

* Surveys: Multi-step Surveys

	This is the first in the series of changes to the Surveys module aimed to turn Delavo
	into a powerful Surveys management software. This modification enables long Surveys
	to be splitted into several pages and also enables skip / branching logic

* Surveys: Skip / Branching logic

	This change allows to skip certain pages of a Survey based on a number of criteria
	such as whether the user has a Membership or not, purchased a Product or Package or not,
	belongs to a certain Special Users group or not, or gave a certain answer in this Survey
	or any other Surveys. Complex conditions including "and" / "or" junctions are supported.

* Surveys: Multiple Survey Submission / Rotating Surveys

	Before, each customer / user in Delavo was able to fill only one Survey of a certain type.
	This way we prevented customers from having to fill the same Survey again when they return
	to a Thank You page or to a certain page in Funnels. With this new feature, system keeps
	working in the same secure way, but it's become possible to "rotate" Surveys after a period.
	So if there is a periodical content like Content Series, or there is need to survey customer
	with the same questions on regular basis, it's now possible with Rotating Surveys.

* Surveys: Captcha

	An optional captcha can be added to any Survey. Captcha is checked once in a Survey on
	its first page

* FEATURE: References sales: support for Paypal subscriptions longer then 365 days

	Now reference payments work in more secure way which allows to avoid hitting some Paypal
	limitations

* CHANGE: Customers / Subscriptions: search by multiple subscription IDs

* FIX: Customers / Subscriptions: cancel and reinstate now work for multiple items

jin-3-27

* MODULE: Funnel Elements

	This module introduces new functionliaty in the Funnels module. Elements allow to save
	parts of templates for future use. These parts of templates can be included on any page
	of any Funnel through specifal tags, and they also support all tags that can be used
	inside Funnel pages

* CHANGE: Delavo Basic version reorganized

	This change adds extended functionality to Delavo Basic version. Now it supports more Payment
	options, including Paypal WPP DP and Payflow, supports Subscriptions and automated rebills,
	supports DB Backup and Export features. Also, Delavo Basic version is now independent from
	any membership-based Delavo licenses and is capable to work even if Delavo owner's
	membership is expired or cancelled

* FEATURE: Certification manager: now "not certified" image can be linked to a custom URL or to a pop-up page

* CHANGE: Added links for Delavo Owners Manual, Delavo How-To Videos and Delavo Support in "Help" section

* FIX: fixed "Sales amount" calculation in "Tools / Statictics"

jin-3-26

* MODULE: Funnel Pages Versioning tool

	All changes made to a Funnel page can be saved as a version with a comment. Version system
	automatically keeps track of who and when makes changes, allows to restore old versions and
	to skip minor versions.

* MODULE: Full DB Export

	Full DB Export feature is available at "Tools / Export" and is meant to help admin to migrate
	from Delavo to another system. This tool provides all Delavo data in a set of CSV files packed
	in one zip archive which can be downloaded with just one click. To protect sensitive data,
	admin password is asked for confirmation.

* MODULE: Subscriptions: Payment Report

	This report provides a daily log with information about how many recurring installments
	were created, for how many of them payment was processed and for how many payment failed.
	Admin can click on the numbers in the report and list the appropriate sales so to address
	each issue individually. In case of Cron failure, tools for manual initiation of
	subscription-related Cron procedures are provided.

* FEATURE: "WordPress 3.1.2 or later (with WishList API2.0)" integration module now provides an option to use user emails as usernames in WordPress

	Also, fixed issue with username not displaying correctly on the Delavo Thank You page

* FEATURE: Pay commissions: Mass Pay through Paypal: Mass Pay file is now provided in extended format including payee names and payment periods

* FEATURE: "Export in CSV" in "Customers / Sales" now provide affiliate information for two tiers

jin-3-25

* MODULE: Admin Dashboard

	When anyone with admin privileges logs into Delavo, they will see 3 graphs:

	(1) Total Revenue: a bar graph that shows the amount of sales for the last 7 days
	with a line chart showing the 28-day moving average for each of the 7 days;

	(2) Sales: a line graph that shows the number of sales for the last 30 days period
	with the second line that shows the 10-day moving average for each of the days;

	(3) Subscription Rebills: a double bar graph that shows expected rebills vs actual rebills
	for the the last 7-days: green color represents money collected, red color represents
	expected money that was not collected yet;

	Admin Dashboard can be enabled or disabled in "Profile / Merchant settings", in the
	"Interface settings" section

* FEATURE: All standard email templates now support attachments and delays

	This change concerns standard email templates that can be edited in "Tools / Emails".
	All of them now support up to 5 attachments and send-out delay

* FEATURE: Delavo actively search for updates

	Now Delavo searches for updates every 24 hours and, if a new version is available,
	displays an alert on the login page

* FEATURE: System Alerts module is revised

	All special system alerts like "Cron misconfiguration", "credit Card security key not missed"
	and newly added "New Delavo version available" alert are now presented in different colours
	indicating their importance and provided with "remind in 3 days" and "disable this alert" links

* FEATURE: User email change log

	Now every time a user email is changed, a record is made to a special log that keeps all
	old user's emails. The log is available in "Users / View all", on the Edit User page

* CHANGE: Auto-upgrade feature no longer asks for username and password

	Now Delavo can be upgraded with simply one click without entering any login data

* CHANGE: Funnels: Sales Report: both small and complete reports now provide total values for unique visitors, revenue and VPV

jin-3-24

* MODULE: WordPress integration module (v3.1.2+) with WishList Member API2.0 support

* FEATURE: Mass edit Products

	It is now possible to select a few Products and insert or remove Memberships and Payment options
	to all of them in a bunch

* FEATURE: "Users / Mass user operation" now supports deletion of the records

* FEATURE: Added "Customer's rebill notification" system e-mail template

* FEATURE: "Customers / Active subscriptions" interface is combined with "Customers / Internal subscriptions"

	New unified interface is called "Customers / Subscriptions" and supports features of both
	old interfaces. Added more filtering possibilities that allow to search for subscriptions to
	specific products or subscriptions with specific statuses

* CHANGE: added protection mechanism to keep data integrity when a "3rd party script" profile or "External membership" is deleted

* FIX: fixed issue with dummy subscription records creation when two Delavo admins independently cancel or reinstate an internal subscription

jin-3-23

* MODULE: Customizable additional fields in User records

	It is now possible for Delavo admin to define new fields in the user records. The interface
	is available at Users / Custom fields. Admin can define titles, types and tag names for
	the fields. Delavo automatically modifies the DB structure according to the new fields info
	defined by admin. Custom fields automatically become available for editing within the user
	records (Users / View all) and user records become searchable by the custom fields (currently
	supported for the text types). Custom fields are transparently available for merging in all
	templates throughout the system. Information about new tags appears in the "tags lists".
	Custom fields content is provided through Delavo API and also changeable through Delavo API.
	The functionality is designed using auto-loadable object extensions specifically in a way
	not to slow down the system however many custom fields admin creates and however much data
	a custom field stores

* CHANGE: added a message about successful record duplication

* CHANGE: added new 5-minute cron job

* CHANGE: "Turboautoresponders.com integration" is renamed to "Aweber.com integration"

* CHANGE some textual changes

	"Turboautoresponders.com integration" is now named "Aweber.com integration" throughout
	the system. Also, clearer indication of the date ranges in the Pay Commission search
	interface are made

* FIX: Statistics: refunded sales are excluded from admin gross profit

* FIX: fixed bug related to privileges control causing Funnels to be invisible for affiliates

* FIX: fixed issue with "Sale notification sent to customer..." not copied when a Funnel is duplicated

jin-3-22

* FEATURE: Internal subscriptions: Summary report: added new report groupped by product labels

	A new way of groupping the subscriptions in the "Subscriptions Summary Report" is available.
	The feature is available at Customers / Internal subscriptions / Summary report.
	It is now possible to bunch up a few subscription products in one group (using Labels)
	and then see statistics for each group. As a part of this feature, a way to search for
	subscription products in Store / Products is added.

* FEATURE: enabled "Labels" for Store / Products

	Now Products also can be tagged by labels

* FEATURE: when searching by Labels, it is now possible to find unlabelled records

	This feature is available anywhere in Delavo where Labels are used (Packages, Products,
	Funnels etc)

* FEATURE: Paypal WPP DP and Payflow payment options now pass customer's info to Paypal in reference transactions

	This provides admin with the ability to effectively search reference transactions by
	customer name and email in Paypal merchant interface

* CHANGE: Funnels "Edit settings" form now redirects admin to the "Steps configuration" page

	It used to redirect admin to the list of all Funnels which was not quite convenient

* CHANGE: Funnel forms: leading and trailing white spaces are now deleted

* CHANGE: Funnel Login form now produces a more user-friendly error message

* FIX: fixed Delavo log in issue in Mozilla Firefox 5.0

	Some user experienced issue with login issue (login screen showing again after clicking
	"Log in" button) when using Mozilla Firefox 5.0

* FIX: fixed "view" links for Funnel split pages

* FIX: fixed Invoice link on the Offline payment option page forpackage with "Bulk payment" enabled

jin-3-21

* FEATURE: API Post "New user registration" is now called "User registration / login" and now supports a new option to send API Post when a user logs in

* FEATURE: some of the e-mails sent by Delavo can be delayed by a specified period of time

	This feature allows merchant to delay the delivery of a purchased product so that the
	customer have time to pay attention to upsells and other offers. Currently this feature
	is supported for "Sale notification sent to the customer" on any levels (Product, Package,
	Funnels) and for "Send e-mail after this step" in Funnels

* FEATURE: "Sale notification sent to the customer" can now be customized on Funnel Step and Funnel Splitpage levels

	In previous versions, this type of e-mail could be customized only on Product and Package
	levels. In this version, it can also be customized for each Step of a Funnel, and also
	separately for each Split Page of a Step

* FEATURE: added possibility to disable some of the customized e-mails

	It is now possible to disable sending of the following types of e-mails on any level
	where they can be customized: "Sale notification sent to the customer", "Registration
	confirmation needed", "Registration confirmed"

jin-3-20

* MODULE: "Labels" functionality is revised

	Labels is a mechanism of tagging records that is currently used in Delavo in
	"Store / Packages", "Store / Funnels", "Tools / Custom tags", "Plugins / Pages" and
	"Plugins / Trackable URLs". In this version the functionality is revised, interface
	is made more compact and intuitive. Search by Labels is integrated in the Search Form,
	Labels editor is now moved to a separate compact pop-up window, applying and
	removing labels to records is implemented through multi-actions

* FEATURE: API Post "New user registration" now has two different options depending on whether user is already registered or not

	This type of API Post integration now supports two different types. One type of integration
	is performed for newly registering users and the other type for the existing users
	attempting to sign up

* FEATURE: API Post "Changing user data" is improved: added new event "account is merged to another account"; added new parameter "old user's e-mail"

	This type of API Post integration is supplemented with new API call performed when
	user's account is merged to another account. A new parameter "old user's e-mail"
	(available through tags) helps to identify user's data in the 3rd-party scripts
	when user's e-mail is changed

* FEATURE: Mass Mail: now supports tags for user's first name and last name

* FEATURE: Short URLs Pro module now allows to customize "Access denied" page

* CHANGE: Funnels: Sales report: added links to Split Pages

* CHANGE: search by keyword in "Store / Memberships" now searches in memberships' comments

* FIX: Funnels: now Funnels modules forces changing of the Split Page if it becomes a 0-weight Split Page during visitor's session

	This changes deals with the situation when in Funnels users see the Split page that was
	disabled by the admin, if they had seen this page once before. Now Funnels never display
	disabled Split Pages to the customers

* FIX: "Auto-add memberships" feature in Funnels now also works for existing users trying to register or logging in

	This fix deals with memberships being automatically assigned to the users. The feature now
	works in Funnels for "Registration" and "Login" action

jin-3-19

* MODULE: Affiliate Dashboard

	Affiliate Center is a dashboard for affiliates summing up their commissions,
	campaigns, last sales, payment info and downline statistics. It is located in
	the member area under "Promote / Dashboard"

* FEATURE: DB memberships

	DB memberships is a new type of protection of a directory based on direct DB connection.
	This type of membership is more reliable than remote membership under high load when
	a lot of new customers are becoming members. On the other hand, it requires some specific
	configuration in CPanel (Remote MySQL)

* FEATURE: added interface with the sales affiliate has generated

	Now affiliates can see the list of sales they've generated. The list is available
	in the member area under "Promote / Sales" and is controlled by a privilege

* FEATURE: "Member / Downline" interface now provides statistics of clicks, opt-in and sales generated by each of the affiliates

	"Member / Downline" is an interface listing all sub-affiliates for a certain affiliate.
	This interface is now revised, some statistics are added, and the record are arranged
	so that the most active sub-affiliate is on top

* FEATURE: Payment periods for "Pay commissions" interface

	Payment periods is an auxiliary feature for the admin to organize payments to affiliates.
	For now it is used in "Affiliate Dashboard" only

* CHANGE: Delavo is now compatible with "1-Click Affiliate Page" again

* FIX: Paypal Adaptive Payment: fixed error message display

jin-3-18

* MODULE: Master Campaigns

	Campaigns is a tracking tool for Affliates to count clicks on their affilate links
	and sales generated by those links. Before Master Campaigns, affiliates needed to create
	Campaigns by themselves and decide how to use them. With Master Campaigns, life has
	become easier for Affilates. Now if admin creates a new promotion, he can also
	create a Master Campaign which appears in all Affiliates' interfaces so that
	Affiliates don't need to do any specific set up and can just start the promotion with
	the suggested promo link. The visibility of Master Campaigns to Affiliates is driven by
	Affiliate Programs. Also, Master Campaigns generate consolidated numbers of clicks/sales
	that have been made through all the affiliate links.

* FEATURE: Campaign Statistics customization

	This feature adds more flexibility to the way the stats for Campaigns are calculated:

	1. now clicks for different packages can be counted as one click. It helps when a promotion
	is implemented through a few Packages/Funnels, some of which are auxiliary. So customer
	can actually go through more than one Package or Funnel during one visit. Earlier, it
	counted as separate clicks, but now it can be set up to count as one click

	2. now sales within one Order can be counted as one sale. It is useful when there are
	upsell products which should not be counted as separate sales in the stats

	3. it is now possible to explicitly define for which Packages/Funnels a Campaign will
	count clicks and sales

	4. it is now possible to explicitly define for which Products the sales will be counted

	Settings (1) and (2) are available for all types of Campaigns, (3) and (4) for
	Master Campaigns only

* FEATURE: Funnels Short URLs

	This feature allows to automatically assign a Short URL to a Funnel. The alias is edited
	on the "Edit Funnel" page and also appear in the Tools / Short URLs section

* FEATURE: Funnels / Packages available through Master Campaigns

	With Master Campaigns, it's become possible for the admin to set up through which
	Campaign(s) a certain Package or Funnel should be available for promotion. So admin
	not only can create a ready Campaign for a promotion, but also provide the order link
	pre-associated with that Campaign

* CHANGE/FIX: Funnels are now forcing new session when user with a new email signs up (Login / Options-Payment forms)

	This fix helps to prevent situation when affiliates test a Funnels link given to them and
	then provide this link with a session code in it to the customers

jin-3-17

* MODULE: New API: "Import Sale"

	This new API method is designed for importing existing sale data from other systems
	into Delavo, so to keep all sales data in one database. When a sale record is imported,
	the payment is not processed. Optionally deliverables and commissions can automatically
	be created.

* FEATURE: added API Post integration on changing user data

	It is now possible to attach one or more "API Post" integration profiles in
	"Profile / Merchant settings", which will be activated when some of the user's
	data is changed. This feature allows for synchronization of Delavo Users database
	with an external users database. When a user's email or password is changed, Delavo
	will make an HTTP POST to URL(s) specified by the admin. The feature can be configured
	in a very flexible way: the POST can be performed when only user's email changes,
	only user's password is changed, or some other data (like user's Points, name or address)
	are changed. It's also possible to send a POST when any of those events takes place.
	The notification mechanism works regardless to how exactly user's data are changed -
	by the admin, by the user himself, through a order in Delavo or any other way.

* FEATURE: Privilege packages: added new option "Allow affiliate to see 0 commissions inside commissions` records"

	This feature is designed for the admin to disable displaying 0 commissions from
	the Affiliate's Commissions view (in the MEMBER's area), so to exclude opt-ins
	and leave only information about earnings

* FEATURE: Affiliate Campaigns: added number of Opt-ins and Opt-in Ratio

	Now Campaigns calculate 0 sales and other sales separately. The number of the 0 sales
	is now displayed under "Opt-ins", and the number of all other sales under "Sales".
	There are two corresponding "Ratio" columns now

* FEATURE: "Auto-add membership(s) to users"

	Added possibility to add membership(s) automatically to users when a new user registers
	or an existing user logs in. The setting is available on the global level (Profile /
	Merchant Settings) and on the Funnels level. The membership listed in this settings,
	will be autoadded on any of these two events: a new user registers or an existing user
	who does not have these memberships logs in

* CHANGE: Autoassigned Privilege Packages and Affiliate Programs are now configured in Profile / Merchant settings

	This change refers to the "Autoassigned" Privilege Packages and Affiliate Programs. The
	"Auto-assignment" is now configured not in the Privilege Packages and Affiliate Programs
	record, but in Profile / Merchant Settings, under "Auto-add to users" section. Also,
	auto-adding now works not only when a new user registers, but also when an existing user
	logs in

* CHANGE: License Server optimization: auto-upgrade speed increased 3x times

* CHANGE: Affiliate Campaigns now count clicks and orders from Funnels

* CHANGE: API documentation is now included in each Delavo installation

	The up-to-date API documentation is now always available at
	http://<your_domain>/<your_delavo_dir>/files/docs/Delavo_API.doc

* FIX: added limitation of the password length of 99 characters

* FIX: Fusemail.com integration form was visible for all types of API Post, now it's visible for Questionnaires only

* FIX: fixed minor issue with SSL error on the Sales Report pages in Funnels

jin-3-16

* CHANGE: Questionnaires: Trigger POST functionality revised

	The change refers to the "Trigger POST" functionality inside the
	Questionnaires module. This functionality allowed for sending an HTTP POST
	request to a URL defined by the admin, and pass some sale data and also
	what customer entered in the Questionnaire. Completely revised, now this
	feature is replaced by "API Post" - a similar, but more powerful feature.
	Each Questionnaire can now send POSTs to any number of different URLs.
	It is now possible to select one of four events, on which the POST will
	be sent: when user submits the Questionnaire, when the Questionnaire expires,
	when it's reinstated and when it's deleted. The result of each POST is reported
	in the system log.

* CHANGE: Questionnaires: interactive integration with 3rd party scripts/systems

	Before this change, Delavo could only send an HTTP POST to a 3rd party system
	when user submits the Questionnaire. Now Delavo looks to the answer received from
	the 3rd party system, and if there is an error message in the response, it
	displays the error to the customer and suggests that customer revise the data
	entered in the Questionnaire. An example of how this new feature can be used,
	can be integration with a hosting provider. Customer enters a domain name that
	he wants to obtain in the Questionnaire, Delavo sends the data to the hosting
	provider through their API, and if the domain is already taken, Delavo receives
	the error message and displays it to the customer, suggesting that he pick up
	another domain. (Please note that this sort of integration may require additional
	coding on the 3rd party script side, depending on the kind of API it provides)

* CHANGE: Questionnaires: API Post: integration extenstion support; Fusemail.com integraion

	Added support for integration with 3rd party systems, as described in the previous
	feature, in a way transparent for Delavo admin. This is implemented through extension
	modules that have 3rd party system URL and parameters already built-in, and that also
	do some customization action before and after sending the POST.
	Added integration extenstion module for Fusemail.com

* FIX: a number of fixes in the "Duplicate" functionlity in Funnels

	The fix deals with extra "Copy of ..." prefixes being added
	to the copies of Funnel Steps and Split pages; and with extra records
	appearing. The fix also changes the way a single Split Page
	is duplicated - the copy now has 0 weight and is not set as default.

* FIX: fixed issue with Paypal return and IPN URLs

* FIX: fixed session time logging for new users

jin-3-15

* MODULE: Paypal "Adaptive Payments" payment module [Silver level]

* FEATURE: Multicurrency support on the Package / Shopping Cart level [Silver level]. Supported payment options: Paypal, Authorize.net, eWay

* FEATURE: Funnels: "Duplicate Funnel Step" feature

* FEATURE: Funnels: "Duplicate Split page" feature

* CHANGE: Funnels: Sales Report: per-step sales report now have sales numbers linked to the list of the sales

jin-3-14

* FEATURE: "Affiliate prevailing mode" is now customizable on Package, Funnel and product levels. Affiliate selection is logged in the Sales system log.

* FEATURE: Funnels: "Buy a product with redirect" button ("Paypal button") functionality. Supported payment options: "Paypal" (normal option, no WPP DP / Payflow), "2Checkout", "Clickbank"

* FEATURE: Funnels: Sales Report: Confidence Interval calculations

* FEATURE: added System Log for user record; all changes of the user's referer are now logged

* FEATURE: "Reconcile Paypal transactions" (available at Customers / Sales, works only for transactions that were created in Paypal through Delavo)

* CHANGE: Internal subscriptions: Reference payments: now unprocessed installments are not deleted when the subscriptions is canceled but are kept for further reconciliation

* FIX: Funnels: fixed lost parameters in redirects caused by in-the-url session code correction

jin-3-13

* FEATURE: in popup selector windows, in it now possible to select multiple items with a single action

* FEATURE: Funnels: "cookieless" mode is now enabled by duplicating session ID in the Funnel URLs; "cookieless" mode does not cover "1 click order" buttons

* FEATURE: Funnels: now Funnels support discount codes

* FEATURE: Funnels: Sales Report: the report page is redesigned using DHTML expand/collapse feature to optimize the space

* FEATURE: Funnels: Sales Report: sales list generation for all sales numbers in the report

* FEATURE: Funnels: Sales Report: added reports for pages that have not yet generated any sales

* FEATURE: Funnels: Sales report: added reports for specific steps (available on the "Steps & configuration" page)

* FEATURE: Funnels: ability to clean Funnel's visit logs (available in Store / Funnels / Log)

* FEATURE: Funnels: added search by step data and split page data

* FEATURE: API "Add User", "Update User", "Process Sale" now accept and process "tracklink_id" parameter which allows to associate user/sale records with a tracking link (Sales / Tracking links)

* FEATURE: API "Add User" and "Process Sale" now allow IP address to be passed

* FEATURE: Customers / Sales: added search by Package(s), Funnel(s) and Funnel Step(s)

* CHANGE: Customers / Sales: added Product and Package columns to the list of sales

* CHANGE: Customers / Sales: Search form is redesigned to save space; some checkboxes are changed to radio options

* CHANGE: Funnels: changed logging mechanism to work correctly with split pages rotation and test payment options

* CHANGE: when an Internal subscription is cancelled, all unpaid (pending payment) installments are deleted

* CHANGE: Sales / Tracking links: when in Funnels, the tracking link can be changed for a user many times during one order

* CHANGE: Sales database is optimized

* FIX: Funnels: Sales Report: fixed conversion rate percentage display

jin-3-12

* MODULE: Tracking links [Silver level]

* FEATURE: Funnels: alternative set of "After this step" conditions for the "No, thanks" action

* FEATURE: added "Last login IP" in user's record

* FEATURE: Sales: new search criteria: "only sales that have commissions" and "only sales that do not have commissions"

* FIX: incorrect lifetime subscription settings in AlertPay payment module

* FIX: fixed INS in 2Checkout payment module

* FIX: unhandled "approved" transaction status in 2Checkout payment module

jin-3-11

* MODULE: New API call supported: "Process Sale"

* FEATURE: Backup payments (Auto-retry on failed payments): feature is available for Paypal WPP DP / Payflow payment options and is configurable on the Funnel / Package, Funnel Step, Product and Global levels

* FEATURE: Internal Subscriptions: Continuity Retention Report now available in CSV format

* FEATURE: API "Get User Membership" now provides sale and order data

jin-3-10

* MODULE: New API calls supported: "List Users", "Get User", "Add User", "Update User", "Get User Membership", "Set User Membership"

* MODULE: Internal Subscriptions: Continuity Retention Report (Customers / Internal Subscriptions / Continuity Retention Report) [Gold level]

* FEATURE: Internal Subscriptions Summary report: added Totals, search by Products, restricting search results, export in CSV and XLS

* CHANGE: Paypal WPP DP / Payflow: invoice numbers are made unique across all Delavo systems

* FIX: fixed "forced trial" mode (in the forced trial the number of the first installed remained "1" which caused issues with internal subscription scheduling on some configurations)

* FIX: fixed embedded tax calculations for recurring installments

jin-3-9

* MODULE: eZine Points [Silver level]

* MODULE: Funnels: Encrypted Credit Card data storage

* FEATURE: Funnels: Sales report

* FEATURE: Paypal WPP DP: reference sale processor now tries to query Paypal back about the status of the transaction in case of some error situations (error codes 10001 and 10412)

* FEATURE: Admin Alerts (system notifying about some misconfigurations like missing CC Security key or Cron inoperability)

* CHANGE: Funnels: Encrypted CVC2/CVV2 transmission through the cookie being kept for 5 hours after the last user's action

* CHANGE: Funnels: Split Tests: the module and the algorithms are revised based on improved Funnel Logs; Stats results are now more accurate

* CHANGE: Funnels: added "Cost" field in Products

* CHANGE: CVC2/CVV2 code is no longer mandatory in credit card payments

* CHANGE: Added Invoice Number to WPP DP initial payments

jin-3-8

* MODULE: Trackable URLs [Silver level]

* FEATURE: Upgradable products [Silver level]

* FIX: fixed issue with Delavo not accepting test cvc code "000" in Funnels

jin-3-7

* MODULE: Disk.com Fulfillment integration module [Bronze level]

* MODULE: E-mail Log, attached to each user's record in the system (Users / View all)

* MODULE: Internal Subscriptions Summary Report (Customers / Internal Subscriptions / Summary Report) [Gold level]

jin-3-6

* FEATURE: Funnels: "Funnel Log" - low level logs of all customers' visits and actions

* FEATURE: Funnels: it is now possible to define specific payment option for each Step

* FEATURE: Funnels: increased security of temporary storing CC data

* FEATURE: Funnels: added Test payment option for test split pages

* FEATURE: Funnels: Split Tests: Statistics: added total number of sales and amount of sales with the link to the list of sales

* FEATURE: added "Check all / Uncheck all" feature in all table interfaces (the topmost checkbox in the column)

* CHANGE: now shipping price can be $0

* CHANGE: Funnels: new split pages are created with 0 weight

* CHANGE: Dynamic Pricing feature is compatible with Special Prices now

* CHANGE: Paylog improvements: displaying messages from failed recurring installments; now records for all sales within one order are combined within one paylog

* CHANGE: Syslog improvements: optimizing and adding more system events to the syslog; now syslog includes reference IDs of all orders and sales

* CHANGE: Users' memberships records can be duplicated now (Customers / Memberships)

* CHANGE: Users' memberships start date is editable now (Customers / Memberships)

* CHANGE: Funnels: the rotation of split pages is now on, whether the step is on test or not

* CHANGE: Funnels: added "collect CC data" and "payment" entries to the Funnel Log

* FIX: missing sales dates in the Global Search

* FIX: fixed resource links in Lesson Manager's archived lessons

jin-3-5

* FEATURE: sales in "Customers / Sales" can now be search by multiple IDs; also specific IDs can be excluded from the search by specifying them in the search form

* FEATURE: added multiaction in "Customers / Sales" which allows to exclude specific sales from the Search (and from the Totals) by selecting them

* FEATURE: Totals at "Customers / Sales" now display the number of sales in the search

* FEATURE: added "Mass Mail to selected" and "Mass Mail to all found" multiactions to the "Customers / Sales", "Customers / Memberships" and "Users / View all" interfaces

* FEATURE: added "Export selected" and "Export all found" multiactions to the "Customers / Sales" interface

* FEATURE: added user's purchases summary on the user record's page (Users / View all)

* FEATURE: Short URLs module now supports Funnels URLs

* FEATURE: Funnels now support affiliate group based affiliate access management

* FEATURE: added optional double opt-in for new users registration in Delavo (globally) and in Funnels

* FEATURE: added possibility to send an "API Post" upon new user registration

* FEATURE: added possibility to reinstate a canceled Internal subscription

* CHANGE: Protx payment module is renamed to Sage pay and upgraded to protocol version 2.23

* CHANGE: "3rd party scripts" accounts are now counted in scanning the deliverables for "Active subscriptions" report

* CHANGE: Removed "From name" and "From e-mail" fields from the "Mass Mail to Downline" interface; the name and e-mail are automatically set of the person who sends Mass Mail to his downline

* CHANGE: vBulletin integration module is now compatible to the latest version of vBulletin

* FIX: "From name" and "From e-mail" in the admin's "Mass Mail" interface are now pre-populated with the default settings

* FIX: incorrect creation data display for recurring installments

* FIX: fixed integrity problem with duplicating "After step conditions" when duplicating a Funnel

* FIX: some improvements to the Split Tests module

* FIX: added workaround for TinyMCE 3 replacing <script> tags with <mce:script>

jin-3-4

* MODULE: Payeasy payment module

* MODULE: Paysite-cash payment module

* MODULE: Split Tests for Funnels

* FEATURE: "Tools / Export" now allows to export some user data along with Sales

* FEATURE: Duplicate Funnel

* FEATURE: added possibility to access previous lessons in "Lesson Manager" (archive links)

* FEATURE: added possibility to access previous content pages in "Content Series" (archive links)

* FEATURE: default customer's receipt ("Sale notification sent to customer") can be overridden on the Product, Package or Funnel level. overridden receipt allows attachments.

* FEATURE: "API Post" feature is added that allows to add sale transactions to remote databases. Feature is available on the Product, Package and Funnel levels

* FEATURE: Funnels now support Labelling and is available to additional access control via Privileges with Labels

* FEATURE: Partial refund for Paypal WPP DP / Payflow payment options

* CHANGE: Funnels: Split pages editing interface is revised; "notes" field added

* CHANGE: Funnels: all templates are now plain text areas

* CHANGE: Funnels: "E-mail as quick delivery" now supports #{User.*} tags

* CHANGE: Funnels: added "From" name and e-mail to "E-mail as quick delivery"

* CHANGE: Funnels: added "Has Membership" type of the "After this step" conditions

* CHANGE: TinyMCE editor is upgraded to v3.3.6

* CHANGE: Start date for user's Lesson Series is now editable

* CHANGE: Added possibility for adding users manually to Lesson Series

* CHANGE: "Master product" feature is removed

* CHANGE: "Payment type" filter in Sales Search is replaced by a more specific "Payment option" filter that allows to list sales made through exact payment options

* CHANGE: added "E-mail" column to the "Customers / Sales" interface

* CHANGE: added "User" column to the "Customers / Memberships" interface

* CHANGE: added search by start sale in "Customers / Internal subscriptions"

* FIX: problem with a misconfigured deliverable breaking the process of marking sale as paid which led to subscription data not being fixed in the DB for the sale

* FIX: fixed leading/trailing spaces issue in some search elements

* FIX: fixed bug with paylog not showing for sales made through Funnels

* FIX: "Special users" is renamed to "Special user groups"

* FIX: fixed link to the "Funnel" type of package from the "Edit Order" page

* FIX: UK country code is changed to GB for Paypal WPP DP and Payflow

* FIX: fixed incorrect content displaying in the "ID" column of the "Members" table in the Global Search

* FIX: fixed search by Date and display of Date in the unpaid Sales

* FIX: fixed bug in the new return control mechanism for IPN-based payment modules

* FIX: fixed bug in the Clickbank Affiliate Program causing teh order process to loop

* FIX: fixed incorrect API parameter in the PSIGate payment module

jin-3-3

* MODULE: Surveys

* MODULE: Exchange Links Traffic

* MODULE: Insignia

* FEATURE: Abandoned orders handling

* FEATURE: Safe Cron

* FEATURE: Coupons discount are now applied to the subscriptions recurring payments

* FEATURE: Shipping address different from Billing address

* FEATURE: Shipping statuses for transactions

* FEATURE: Shipping is now handled correctly by the subscription products. Shipping fee can be added to the initial installment or to initial and all the recurring installments as defined by the admin

* FEATURE: Basic shipping method now supports "all countries except the selected ones" option

* FEATURE: Funnels: "Forgotten password" form

* FEATURE: Funnels: an email with attachments as a delivery

* FEATURE: added "tech" email for cron reports

* FEATURE: Follow-up Manager can now parse #{Sale.*} tags

* FEATURE: added "test" button to Follow-up Manager

* FEATURE: Mass Mail now allows to set up "From" name and e-mail

* CHANGE: all payment modules that support subscriptions are revised. Added "smart subscriptions settings modification" mechanism

* FIX: fixed mail job error when offering a coupon by mail

* FIX: fixed sales/users export feature

* FIX: fixed excessive initial charge in eWay payment module when a non-zero trial amount is present

* FIX: fixed Pagseguro payment module not handling correctly the "Aprovado" return status

jin-3-2

MODULE: Funnels

MODULE: Privilege Profiles (ex. Roles) module now offers extended privilege management

FEATURE: "Reverse refund" functionality added for Paypal WPPDP and Payflow, which allows to issue a refund in Delavo and have it automatically processed in Paypal

CHANGES: Miscellaneous changes and a number of fixes

jin-3-1

CHANGE: Delavo engine reorganized, all hosted accounts data is removed from DB

PLUGIN: Privileges: former Roles functionality now presented with additional features like filtered access (by Labels). The plugins is aimed to replace former "Personal Assistants" functionality and provide admin with a versatile way to manage affiliates' features

CHANGE: Paypal WPP DP integration revised

FEATURE: Paypal Payflow Pro support added

FEATURE: "Reference transactions" subscription mode added for Paypal WPP DP and Payflow

FEATURE: ability for the admin to make products in a package checked by default on the order page

FEATURE: ability for the admin to disable registration button on the login screen

jin-3-0

PLUGIN: Content Series

PLUGIN: Lesson Manager

PLUGIN: Database backup

PLUGIN: One page order form integratable on any HTML page

FEATURE: User photos

FEATURE: Strip commissions

FEATURE: Added support for the sandbox mode in Paypal Website Payments Pro

FEATURE: A new email notification for Membership that warns user about the membership due to expire N days to the expiration

CHANGE: When a product record is duplicated, the copy now has the same Follow Up list attached as the original record

CHANGE: Roles and hosted Delavo functionality are excluded from the system

jin-2-6

* PLUGIN: Random affiliates

* PLUGIN: Brotherhoods integration module

* PLUGIN: USPS integration module (beta version)

* FEATURE: Taxes included in the product price

* PLUGIN: phpBB v3.0.4 integration module (available for owners of phpBB integration module)

* PLUGIN: Invision Power Board v3.0.4 integration module (available for owners of Invision Power Board integration module)

* CHANGE: Authorize.net: user data are now passed to Authorize.net checkout page

* CHANGE: Reselling module now supports 3rd party scripts to resell

* FIX: Help ticket system: mail pipe command is now done without additional parameter (which was not accepted by some versions of CPanel)

* FIX: Help ticket system: fixed problem with "access denied" message on the ticket conversation page for members

* FIX: Help ticket system: reload of the "Submit ticket" page now does not cause creation of a duplicate ticket

jin-2-5

* PLUGIN: Help ticket system

* PLUGIN: Reminders

* FEATURE: PayPal Website Payments Pro

* CHANGE: Moneybookers payment module revised: added IPN support, added support for new version of Moneybookers protocol

* FIX: a number of bugs fixed

jin-2-4

* FEATURE: added support for Turbo WP Membership plugin in WordPress integration module

jin-2-3

* MODULE: Clouds

* MODULE: Multiply records

* MODULE: added new plugins for the following payment systems: AlertPay, PSIGate, USAePay

* FEATURE: Specprices plans

* FEATURE: Background Mass Mail

* FEATURE: Image galleries are added to the Shopping Carts plugin

* FEATURE: Products thumbnail images are added to the Shopping Carts plugin

* FEATURE: added new filters in "Pay commissions" interface

* FEATURE: now admin can set up affiliate cookie prevailing mode in the "Merchant settings" section in Profile

* FEATURE: added recurring payment support for eWay payment option

* FEATURE: Special Prices are now available in Shopping Carts

* FEATURE: added possibility to define title for downloads links

* FEATURE: "Blog publisher" plugin now supports subject and tags

* FEATURE: Custom tags are now parsed in Mass mail

* FEATURE: now admin can select user through popup window in the "Charity commissions" section in the Products

* FEATURE: new HTML Footer field in the Package with tags parsible (facilitated by Mark Kostner)

* CHANGE: Mass Mail interface is revised and improved

* FIX: change color format for "Certification manager"

* FIX: it's now impossible to use Dynamic Pricing and Quick Resell in one product simultaneously

* FIX: Dynamic Pricing module is now counting the number of sales correctly

* FIX: all package templates are now updated when a corresponding global template is changed

* FIX: fixed bug with an old camp_id coming with a new aff_id which was bringing incorrect results in campaigns statistics

* FIX: fixed download links for embedded products on the thank you page

* FIX: fixed initial subscription amount in Moneybookers payment module

jin-2-2

* MODULE: New Shopping cart module (available as a plugin) - a considerable upgrade of the Delavo Shopping Cart module

* MODULE: Certification manager (available as a plugin)

* MODULE: Delavo-2-Delavo - 3rd party script integration module for linking two Delavo systems (available as a plugin)

* MODULE: iTransact payment module

* FEATURE: a PDF Invoice link can now be included in the "Offline" payment page

* FEATURE: added "bypass 2nd order page" option in the Package

* CHANGE: changes in internal error handling and syslog report; also admin can receive syslog error reports by email

* CHANGE: Banner Rotator: now admin can define a piece of HTML code instead of image

* CHANGE: "Master product" functionality has become deprecated

* CHANGE: some minor changes in the "Testimonials" module are done

* FIX: sales where the customer and the affiliate is the same person are excluded from the "Top affiliates by amount of sales" report

* FIX: "Use NMGS" option is restored in the Memberships

* FIX: fixed access to payment options in PA's (Personal Assistant) mode

jin-2-1

* MODULE: "Broadcast news" module is available as plugin

* MODULE: new 3rd party script integration modules for Drupal and WordPress are now available as plugins

* MODULE: 3rd party script integration modules for TDM2 and Contepass are included into the Delavo core and available for free

* MODULE: 3rd party script integration modules for InvisionPB, PhpBB, SMF, VBulletin that were available in Fantasos are now available in Delavo as plugins

* FEATURE: added multiple "Special price for special customers" configuration

* CHANGE: some changes in the Package templates (title is removed, template can be initialized with the activated global template by default)

* CHANGE: some changes in Authorize.net payment module for correct handling of the trial periods in subscriptions

* CHANGE: vBulletin integration module now uses user's name as the login name rather than email, so not to expose emails

* FIX: $0 special price is now allowed

* FIX: some important issues are fixed

jin-2-0
